
// #name = Tribes 2 String Functions
// #version = 1.00
// #date = June 14, 2002
// #author =Mark Dickenson ([AKA]PanamaJack)
// #email = akapanamajack@planettribes.com
// #web = http://www.planettribes.com/pj
// #description = String Functions
// #acknowledgements = none
// #status = working

function StripNameColors(%in) {

	%name = "";

	for (%i = 0; %i < Strlen(%in); %i++)
	{
		%ascii = String::ascii(%in, %i);
		if ((%ascii > 31) && (%ascii < 129))
			%name = %name @ String::char(%ascii);
	}

	%name = %name @ "";
	return %name;
}

function String::ascii(%string, %idx)
{

	if(Strlen(%string) <= %idx || %idx < 0)
	    return -1;
	%char = getSubStr(%string, %idx, 1);
	%idx = Strstr($String::asciiString, %char);
	if(%idx < 0)
		return -1;

	if(Strcmp(%char, getSubStr($String::asciiString, %idx, 1)) == 0)
		return %idx + 32;
    else
        return %idx + 64;
}

function String::char(%ascii)
{
	if(%ascii < 32 || %ascii > 128)
		return "";
	else
		return getSubStr($String::asciiString, %ascii-32, 1);
}

$String::asciiString = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~";

function PJStripInvalid(%text) {
	for(%i=1;%i <= getField($PJstrcheck,0);%i++) {
		%text = strreplace(%text, getField($PJstrcheck,%i), "");
	}
	return %text;
}
$PJstrcheck = "8\t:\t|\t<\t>\t*\t/\t\\\t\"";


